# Class: c3.Plot.Layer.Scatter

Defined in: | js/c3-layers.coffee
Inherits: | c3.Plot.Layer

## Overview

TODO: Only render datapoints within the current zoomed domain.

Scatter plot layer for the XY Plot Chart

Datapoints include a circle and an optional label. _Set `label_options.text` to define the label for each point._

## Extensibility

The following c3.Selection members are made available if appropriate:

- points - Representing svg:g nodes for each datapoint
- circles - Representing svg:circle nodes for each datapoint
- labels - Representing svg:text labels for each datapoint

### Author:

- Douglas Armstrong

## Variables Summary

version =

      0.1

type =

      'scatter'

key =

      undefined

  [Function] Accessor function to define a unique key to each data point. This has performance implications. This is required to enable animations.

value =

      undefined

  [Function, Number] Accessor or value to set the value for each data point. This is used when limiting the number of elements.

r =

      1

  [Function, Number] Accessor or value to set the circle radius

a =

      undefined

  [Function, Number] Accessor or value to set the circle area. Takes precedence over r.

safe =

      true

  [Boolean] Safe mode will not render data where a positioning accessor returns undefined. This may cause the index passed to accessors to not match the original data array.

filter =

      undefined

  [Function] Accessor to determine if the data point should be drawn or not This may cause the index passed to accessors to not match the original data array.

limit_elements =

      undefined

  [Number] Limit the number of data points. This may cause the index passed to accessors to not match the original data array.

point_options =

      undefined

  [c3.Selection.Options] Options for svg:g nodes for each datapoint.

circle_options =

      undefined

  [c3.Selection.Options] Options for the svg:circle of each datapoint

label_options =

      undefined

  [c3.Selection.Options] Options for the svg:text lables of each datapoint.

### Variable inherited from c3.Plot.Layer

version type _next_uid data name class static_data h v x y options handlers restyle

## Instance Method Summary

- # (void) _init() Bound
- # (void) _update(origin) Bound
- # (void) _draw(origin) Bound
- # (void) _style(style_new) Bound

## Inherited Method Summary

### Methods inherited from c3.Plot.Layer

#init #size #update #draw #style #zoom #redraw #scale #min_x #max_x #min_y #max_y

## Instance Method Details

# (void) _init() Bound

# (void) _update(origin) Bound

# (void) _draw(origin) Bound

# (void) _style(style_new) Bound

Quickly fuzzy find classes, mixins, methods, file:

- T Open fuzzy finder dialog

Control the navigation frame:

- L Toggle list view
- C Show class list
- I Show mixin list
- F Show file list
- M Show method list
- E Show extras list

You can focus and blur the search input:

- S Focus search input
- Esc Blur search input